Subject: Re: Build failure in -next due to 'xdp: generic XDP handling of xdp_rxq_info'

From: Jesper Dangaard Brouer <[email-masked]>
Date: Tue, 9 Jan 2018 23:37:42 +0100

On Tue, 9 Jan 2018 11:01:47 -0800
Guenter Roeck <[email-masked]> wrote:

> Hi,
> 
> commit e817f85652c ("xdp: generic XDP handling of xdp_rxq_info") results in
> the following error when building m68k:m5208evb_defconfig in -next.
> 
> net/core/dev.c: In function 'netif_get_rxqueue':
> net/core/dev.c:3926:15: error: 'struct net_device' has no member named '_rx'
> net/core/dev.c:3931:28: error:
> 	'struct net_device' has no member named 'real_num_rx_queues'
> 
> net/core/dev.c: In function 'netif_alloc_rx_queues':
> net/core/dev.c:7633:29: error:
> 	'struct net_device' has no member named 'num_rx_queues'
> 
> [ and so on ]

Hi Guenter,

This is caused by CONFIG_SYSFS is not set in your config.  I'm
preparing a patch... can I ask you to test it, as I have a hard time
disabling on my X86_64 system.

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer